## org.apache.solr.common.params
Interface GroupParams

    public interface GroupParams

Group parameters.

Field Summary
`static String` `GROUP`
`static String` `GROUP_CACHE_PERCENTAGE` Whether to cache the first pass search (doc ids and score) for the second pass search.
`static String` `GROUP_FIELD`
`static String` `GROUP_FORMAT` treat the first group result as the main result.
`static String` `GROUP_LIMIT` the limit for the number of documents in each group
`static String` `GROUP_MAIN` treat the first group result as the main result.
`static String` `GROUP_OFFSET` the offset for the doclist of each group
`static String` `GROUP_QUERY`
`static String` `GROUP_SORT`
`static String` `GROUP_TOTAL_COUNT` Whether the group count should be included in the response.
`static String` `GROUP_TRUNCATE` Whether the docSet (for example for faceting) should be based on plain documents (a.k.a UNGROUPED) or on the groups (a.k.a GROUPED).

Field Detail

### GROUP

    static final String GROUP

See Also:
  Constant Field Values

### GROUP_QUERY

    static final String GROUP_QUERY

See Also:
  Constant Field Values

### GROUP_FIELD

    static final String GROUP_FIELD

See Also:
  Constant Field Values

### GROUP_SORT

    static final String GROUP_SORT

See Also:
  Constant Field Values

### GROUP_LIMIT

    static final String GROUP_LIMIT

  the limit for the number of documents in each group

  See Also:
    Constant Field Values

### GROUP_OFFSET

    static final String GROUP_OFFSET

  the offset for the doclist of each group

  See Also:
    Constant Field Values

### GROUP_MAIN

    static final String GROUP_MAIN

  treat the first group result as the main result. true/false

  See Also:
    Constant Field Values

### GROUP_FORMAT

    static final String GROUP_FORMAT

  treat the first group result as the main result. true/false

  See Also:
    Constant Field Values

### GROUP_CACHE_PERCENTAGE

    static final String GROUP_CACHE_PERCENTAGE

  Whether to cache the first pass search (doc ids and score) for the second pass search. Also defines the maximum size of the group cache relative to maxdoc in a percentage. Values can be a positive integer, from 0 till 100. A value of 0 will disable the group cache. The default is 0.

  See Also:
    Constant Field Values

### GROUP_TRUNCATE

    static final String GROUP_TRUNCATE

  Whether the docSet (for example for faceting) should be based on plain documents (a.k.a UNGROUPED) or on the groups (a.k.a GROUPED). The docSet will only the most relevant documents per group. It is if you query for everything with group.limit=1

  See Also:
    Constant Field Values

### GROUP_TOTAL_COUNT

    static final String GROUP_TOTAL_COUNT

  Whether the group count should be included in the response.

  See Also:
    Constant Field Values

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.